close all;                                % 모든 생성된 창을 닫음 
clear all;                                % 열려있는 작업영역(workspace)을 모두 비움 
clc;                                      % 명령(command) 창을 비움

n=0:30;                                   % 출력을 표현할 범위를 설정
yh=-(0.36+0.25*n).*(0.8).^n;              % 고유 응답 계산
yp=ones(1,length(n));                     % 강제 응답 계산
y=yh+yp;                                  % 완전해=고유 응답+강제 응답 계산

subplot(3,1,1); grid on;                  % 3행 1열 분할 그림창의 1번 창, 그리드 표시 
stem(n,yh);                               % 고유 응답 그림
title('\bf{고유 응답}');                   % 그림 제목 
subplot(3,1,2); grid on;                  %  3행 1열 분할 그림창의 2번 창, 그리드 표시 
stem(n,yp);                               % 강제 응답 그림
title('\bf{강제 응답}');                   % 그림 제목  
subplot(3,1,3); grid on;                  %  3행 1열 분할 그림창의 3번 창, 그리드 표시 
stem(n,y);                                % 차분 방정식의 완전해 그림
title('\bf{완전 응답}');                   % 그림 제목  
xlabel('n');                              % x축 라벨 표시  